PUT /api/security/entity_store/start

Spaces method and path for this operation:

put /s/{space_id}/api/security/entity_store/start

Refer to Spaces for more information.

Start previously stopped entity engines, resuming data processing for the specified entity types.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • entityTypes array[string]

    Entity types to start. Defaults to all installed types.

    Values are user, host, service, or generic. Default value is ["user", "host", "service", "generic"].

Responses

  • 200 application/json

    Indicates a successful response.

PUT /api/security/entity_store/start
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{"entityTypes":["user","host","service","generic"]}' \
  "${KIBANA_URL}/api/security/entity_store/start"
PUT kbn://api/security/entity_store/start
{
  "entityTypes": ["user", "host", "service", "generic"]
}
Request examples
Start all stopped entity engines.
{
  "entityTypes": [
    "user",
    "host",
    "service",
    "generic"
  ]
}
Start only the host entity engine.
{
  "entityTypes": [
    "host"
  ]
}
Response examples (200)
The specified entity engines were successfully started.
{
  "ok": true
}